Name:           python-which
Version:        1.1.0
Release:        %mkrel 1
Summary:        Small which replacement that can be used as a Python module

Group:          Development/Python
License:        MIT
URL:            http://trentm.com/projects/which/
Source0:        http://trentm.com/downloads/which/%{version}/which-%{version}.zip

BuildArch:      noarch
BuildRequires:	python
BuildRequires:	pkgconfig(python)

%description
which.py is a small which replacement. It has the following features:

 * it can print all matches on the PATH;
 * it can note "near misses" on the PATH (e.g. files that match but 
   may not, say, have execute permissions); and
 * it can be used as a Python module.


%prep
%setup -q -n which-%{version}


%build
%py2_build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
# add a script that calls the python module
cat << \EOF > which-python
#!/bin/sh
python -m which $@
EOF
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m0755 -p which-python $RPM_BUILD_ROOT%{_bindir}

 
%files
%doc LICENSE.txt README.txt TODO.txt
%{_bindir}/which-python
%{python2_sitelib}/which.py*
%{python2_sitelib}/which-*.egg-info






%changelog
* Mon Dec 17 2018 adrianomorselli <adrianomorselli> 1.1.0-1uplos2018
- imported for uplos
